Name:           sequence-library
Version:        1.0.3
Release:        %mkrel 5
Group:          Development/Java
Summary:        Textual diff and merge library

License:        Sequence
URL:            http://svn.svnkit.com/repos/3rdparty/de.regnis.q.sequence/

# generated with:
#        svn checkout http://svn.svnkit.com/repos/3rdparty/de.regnis.q.sequence/tags/1.0.2/
Source0:        %{name}-%{version}.tar.gz
#Source1:        http://search.maven.org/remotecontent?filepath=de/regnis/q/sequence/%{name}/%{version}/%{name}-%{version}.pom
Source1:        %{name}-%{version}.pom
Source2:        %{name}-build.xml
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  junit
BuildRequires:  javapackages-local
BuildRequires:  ant

%description
A textual diff and merge library.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q

# removing gradle build stuff
rm -rf gradle gradlew gradlew.bat

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

cp %{SOURCE2} build.xml

cat > sequence-library.build.properties <<EOF
version=%{versionr}
build.number=${versionr}
EOF

cat > manifest.mf <<EOF
Build-Version: %{versionr}
EOF


%build
ant all


%install

install -d -m 755 %{buildroot}%{_javadir}
install -m 644 build/libs/%{name}-%{versionr}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -Dpm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

# javadocs
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp docs/api/ %{buildroot}%{_javadocdir}/%{name}


%files -f .mfiles
%license LICENSE.txt

%files javadoc
%{_javadocdir}/*
%license LICENSE.txt




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-5.mga8
+ Revision: 1508094
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.3-4.mga7
+ Revision: 1291476
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 daviddavid <daviddavid> 1.0.3-3.mga7
+ Revision: 1162603
- add missing BR on javapackages-local to fix build
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.0.3-2.mga6
+ Revision: 978155
- First rebuild of the java stack
- sync package sequence-library with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1.0.2-7.mga6
+ Revision: 951983
- Mageia 6 Mass Rebuild

* Mon Jan 12 2015 daviddavid <daviddavid> 1.0.2-6.mga5
+ Revision: 810113
- use .m files generated during build
- update requirements

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-5.mga5
+ Revision: 741407
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 689111
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-3.mga4
+ Revision: 508436
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 1.0.2-2.mga3
+ Revision: 361108
- imported package sequence-library


* Fri Nov 9 2012 Ismael Olea <ismael@olea.org> - 1.0.2-2
- review changes: https://bugzilla.redhat.com/show_bug.cgi?id=873738#c7

* Thu Nov 8 2012 Ismael Olea <ismael@olea.org> - 1.0.2-1
- review changes: https://bugzilla.redhat.com/show_bug.cgi?id=873738#c2
- review changes: https://bugzilla.redhat.com/show_bug.cgi?id=873738#c3

* Tue Oct 9 2012 Ismael Olea <ismael@olea.org> - 1.0.2.20121003svn-2
- spec tuning

* Wed Oct 3 2012 Ismael Olea <ismael@olea.org> - 1.0.2.20121003svn-1
- first package
